#!/bin/bash

# Überprüfen, ob der .ssh-Ordner existiert, wenn nicht, erstelle ihn
if [ ! -d "$HOME/.ssh" ]; then
  mkdir -m 700 "$HOME/.ssh"
  echo ".ssh-Verzeichnis wurde erstellt."
else
  echo ".ssh-Verzeichnis existiert bereits."
fi

# Benutzer nach dem SSH-Public-Key fragen
read -p "Bitte SSH-Public-Key eingeben: " user_input

# Überprüfen, ob der Key bereits in authorized_keys vorhanden ist
if grep -q "$user_input" "$HOME/.ssh/authorized_keys"; then
  echo "Der SSH-Public-Key ist bereits vorhanden."
else
  # Den eingegebenen Public Key in die authorized_keys-Datei speichern
  echo "$user_input" >> "$HOME/.ssh/authorized_keys"
  echo "SSH-Public-Key wurde hinzugefügt."
fi
